from __future__ import print_function
import sys
import subprocess

hub_path="http://genedev.bionet.nsc.ru/site/hic_out/genedev_USCS_trackHub/hg38/"
epis = ["CTCF","H3K27ac","H3K9me3"]
samples = ["N1_","D1_"]
samples_convertor = {"N1_":"WT","D1_":"Dup"}
with open(sys.argv[1]) as fin:
    lines=fin.readlines()
with open("trackDb.txt","w") as fout:
    for line in lines:
        line = line.strip()
        for epi in epis:
            if epi in line:
                break
        assert epi in line
        for s in samples:
            if s in line:
                break
        assert s in line
        s = samples_convertor[s]
        trackName=epi+"_"+s
        subprocess.check_call(["ln", "-s",line,trackName+".bw"])
        fout.write("track "+trackName+"\n")
        fout.write("bigDataUrl "+ hub_path + trackName+".bw\n")
        fout.write("shortLabel " + epi + "on "+ s + "  cells  \n"+\
                    "longLabel Depth of alignments of ChiP-seq reads (normalized to input)\n"+
                    "type bigWig\n\n")
